LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::beans::TolerantPropertySetResultType Constant Group Reference

specifies the possible failure types when using the com::sun::star::beans::XTolerantMultiPropertySet interface. More...

## Variables
const short | SUCCESS = 0
| the property has been successfully set or retrieved. More...
const short | UNKNOWN_PROPERTY = 1
| the property is not available. More...
const short | ILLEGAL_ARGUMENT = 2
| the value used with the property is not valid. More...
const short | PROPERTY_VETO = 3
| the property could not be changed at that time. More...
const short | WRAPPED_TARGET = 4
| a com::sun::star::lang::WrappedTargetException did occur. More...
const short | UNKNOWN_FAILURE = 5
| the operation failed and the reason is not known. More...

## Detailed Description

specifies the possible failure types when using the com::sun::star::beans::XTolerantMultiPropertySet interface.

It usually matches one of the exception types that may occur when using the com::sun::star::beans::XPropertySet or com::sun::star::beans::XMultiPropertySet interfaces.

## Variable Documentation

## ◆ ILLEGAL_ARGUMENT

const short ILLEGAL_ARGUMENT = 2

the value used with the property is not valid.

For example if a com::sun::star::lang::IllegalArgumentException was caught.

## ◆ PROPERTY_VETO

const short PROPERTY_VETO = 3

the property could not be changed at that time.

For example if a com::sun::star::beans::PropertyVetoException was caught.

## ◆ SUCCESS

const short SUCCESS = 0

the property has been successfully set or retrieved.

## ◆ UNKNOWN_FAILURE

const short UNKNOWN_FAILURE = 5

the operation failed and the reason is not known.

## ◆ UNKNOWN_PROPERTY

const short UNKNOWN_PROPERTY = 1

the property is not available.

For example if a com::sun::star::beans::UnknownPropertyException was caught.

## ◆ WRAPPED_TARGET

const short WRAPPED_TARGET = 4

a com::sun::star::lang::WrappedTargetException did occur.